### Hierarchy

- unknown
  - TradeStatistics2

## Index

### Constructors

- constructor

### Methods

- clearExtraDataMap
- getBaseCurrency
- getCounterCurrency
- getDepositTxId
- getDirection
- getExtraDataMap
- getHash
- getHash_asB64
- getHash_asU8
- getMakerDepositTxId
- getOfferAmount
- getOfferDate
- getOfferId
- getOfferMarketPriceMargin
- getOfferMinAmount
- getOfferUseMarketBasedPrice
- getPaymentMethodId
- getTakerDepositTxId
- getTradeAmount
- getTradeDate
- getTradePrice
- serializeBinary
- setBaseCurrency
- setCounterCurrency
- setDepositTxId
- setDirection
- setHash
- setMakerDepositTxId
- setOfferAmount
- setOfferDate
- setOfferId
- setOfferMarketPriceMargin
- setOfferMinAmount
- setOfferUseMarketBasedPrice
- setPaymentMethodId
- setTakerDepositTxId
- setTradeAmount
- setTradeDate
- setTradePrice
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TradeStatistics2(): TradeStatistics2

- Inherited from jspb.Message.constructor

  #### Returns TradeStatistics2

## Methods

### clearExtraDataMap

- clearExtraDataMap(): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3227

  #### Returns TradeStatistics2

### getBaseCurrency

- getBaseCurrency(): string

- - Defined in src/protobuf/pb_pb.d.ts:3179

  #### Returns string

### getCounterCurrency

- getCounterCurrency(): string

- - Defined in src/protobuf/pb_pb.d.ts:3182

  #### Returns string

### getDepositTxId

- getDepositTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3218

  #### Returns string

### getDirection

- getDirection(): OfferDirection

- - Defined in src/protobuf/pb_pb.d.ts:3185

  #### Returns OfferDirection

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:3226

  #### Returns Map<string, string>

### getHash

- getHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3221

  #### Returns string | Uint8Array

### getHash_asB64

- getHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3223

  #### Returns string

### getHash_asU8

- getHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3222

  #### Returns Uint8Array

### getMakerDepositTxId

- getMakerDepositTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3229

  #### Returns string

### getOfferAmount

- getOfferAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3209

  #### Returns number

### getOfferDate

- getOfferDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3200

  #### Returns number

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3215

  #### Returns string

### getOfferMarketPriceMargin

- getOfferMarketPriceMargin(): number

- - Defined in src/protobuf/pb_pb.d.ts:3206

  #### Returns number

### getOfferMinAmount

- getOfferMinAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3212

  #### Returns number

### getOfferUseMarketBasedPrice

- getOfferUseMarketBasedPrice(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3203

  #### Returns boolean

### getPaymentMethodId

- getPaymentMethodId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3197

  #### Returns string

### getTakerDepositTxId

- getTakerDepositTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3232

  #### Returns string

### getTradeAmount

- getTradeAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3191

  #### Returns number

### getTradeDate

- getTradeDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3194

  #### Returns number

### getTradePrice

- getTradePrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:3188

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3235

  #### Returns Uint8Array

### setBaseCurrency

- setBaseCurrency(value: string): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3180

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics2

### setCounterCurrency

- setCounterCurrency(value: string): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3183

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics2

### setDepositTxId

- setDepositTxId(value: string): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3219

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics2

### setDirection

- setDirection(value: OfferDirection ): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3186

  #### Parameters

  - ##### value: OfferDirection

  #### Returns TradeStatistics2

### setHash

- setHash(value: string | Uint8Array): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3224

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradeStatistics2

### setMakerDepositTxId

- setMakerDepositTxId(value: string): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3230

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics2

### setOfferAmount

- setOfferAmount(value: number): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3210

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics2

### setOfferDate

- setOfferDate(value: number): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3201

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics2

### setOfferId

- setOfferId(value: string): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3216

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics2

### setOfferMarketPriceMargin

- setOfferMarketPriceMargin(value: number): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3207

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics2

### setOfferMinAmount

- setOfferMinAmount(value: number): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3213

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics2

### setOfferUseMarketBasedPrice

- setOfferUseMarketBasedPrice(value: boolean): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3204

  #### Parameters

  - ##### value: boolean

  #### Returns TradeStatistics2

### setPaymentMethodId

- setPaymentMethodId(value: string): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3198

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics2

### setTakerDepositTxId

- setTakerDepositTxId(value: string): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3233

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics2

### setTradeAmount

- setTradeAmount(value: number): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3192

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics2

### setTradeDate

- setTradeDate(value: number): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3195

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics2

### setTradePrice

- setTradePrice(value: number): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3189

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics2

### toObject

- toObject(includeInstance?: boolean): TradeStatistics2 . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3236

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TradeStatistics2 . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3239

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeStatistics2

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeStatistics2, reader: BinaryReader): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:3240

  #### Parameters

  - ##### message: TradeStatistics2

  - ##### reader: BinaryReader

  #### Returns TradeStatistics2

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeStatistics2, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3238

  #### Parameters

  - ##### message: TradeStatistics2

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TradeStatistics2 ): TradeStatistics2 . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3237

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeStatistics2

  #### Returns TradeStatistics2 . AsObject

Generated using TypeDoc